Get backup locations for a storage pool
Get backup locations for a storage pool
Path Parameters
- storagePoolId int32 required
Id of the Storage Pool
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
sharePathInfo object
isUnixRegularSharePathMissing booleanisWinRegularSharePathMissing booleanlibraryList object[]
libraryVendorId int32model stringlibrary object
libraryId int32libraryName string_type_ int32MountPathList object[]
mountPathId int32mountPathName stringmountPathType int64enabledMP booleanstatus stringdisabledForNewWrite booleandataServerType int32driveId int32preventDataBlockReferences booleanmediaAgents stringmountPathSummary object
libraryId int32libraryName stringtotalSpace int64totalFreeSpace int64totalReserveSpaceMB int64totalAppSize int64totalDataWritten int64deviceInfo object
id int32name stringregion object
Reference to a region in Node API responses
regionId int32regionName stringdisplayName string_type_ stringsavedCredential object
credentialId int32credentialName string_type_ int32
{
"sharePathInfo": {
"isUnixRegularSharePathMissing": true,
"isWinRegularSharePathMissing": true
},
"libraryList": [
{
"libraryVendorId": 0,
"model": "string",
"library": {
"libraryId": 0,
"libraryName": "string",
"_type_": 0
},
"MountPathList": [
{
"mountPathId": 0,
"mountPathName": "string",
"mountPathType": 0,
"enabledMP": true,
"status": "string",
"disabledForNewWrite": true,
"dataServerType": 0,
"driveId": 0,
"preventDataBlockReferences": true,
"mediaAgents": "string",
"mountPathSummary": {
"libraryId": 0,
"libraryName": "string",
"totalSpace": 0,
"totalFreeSpace": 0,
"totalReserveSpaceMB": 0,
"totalAppSize": 0,
"totalDataWritten": 0
},
"deviceInfo": {
"id": 0,
"name": "string"
},
"region": {
"regionId": 0,
"regionName": "string",
"displayName": "string",
"_type_": "string"
},
"savedCredential": {
"credentialId": 0,
"credentialName": "string",
"_type_": 0
}
}
]
}
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}